Subject: Re: Signal descriptor returned in response.

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 4 Jul 2000 22:26:09 -0400

This kind of problem is age-old, and is almost always
settled by returning "current" state, whatever it is,
regardless of what asynchrony exists.

Sending back what was received is close to useless.

So, I think the MG should return what is currently
being "played" and what remains to be played (in the case
of a signal list).

Brian

> -----Original Message-----
> From: Hemant Kumar [mailto:[email-masked]]
> Sent: Friday, June 30, 2000 6:08 AM
> To: Rosen, Brian; [email-masked]
> Subject: Signal descriptor returned in response.
>
>
> Hi Everyone,
>          I think that in response to audit of signal
> descriptor, the signals
> and signal lists in the previous descriptor should be
> returned. As Brian had
> pointed out in his earlier mail (on June 16) the MG might not
> be in sync
> with the MGC. There is always the possiblity of completion of
> signal (or/and
> signal lists) play by the time the message containing the
> "active" signal
> (or/and signal lists)reaches the MGC (especially for brief signals).
> Therefore sending active signals (or/and signal lists)only in
> the audit
> response would be of little value (The MGC can never be sure
> of whether the
> signals(or/and signal lists) that have been received are
> actually playing or
> not)
>
> Regards,
> Hemant Kumar
>
> ----- Original Message -----
> From: Rosen, Brian <[email-masked]>
> To: <[email-masked]>
> Sent: Friday, June 30, 2000 3:27 AM
> Subject: Re: signal descriptor returned in response.
>
>
> > I thought I had sent an answer to this,
> >
> > I believe you get "live" information, which would be
> > the signals playing at the time, not was last sent.
> > If there were no signals, you get an empty descriptor.
> >
> > For a signal list, I think it's not specified whether
> > you get only those active, or yet to be played items,
> > or whether you get the original list. I'd like to see
> > what is current and yet to go, but that may be hard to
> > implement.
> >
> > Brian
> >
> > > -----Original Message-----
> > > From: Madhu Babu [mailto:[email-masked]]
> > > Sent: Wednesday, June 28, 2000 12:56 PM
> > > To: [email-masked]
> > > Subject: signal descriptor returned in response.
> > >
> > >
> > > (Reposting)
> > > Hi all,
> > >
> > > When signal Descriptor is specified in Audit descriptor,
> > > what is the response expected from MG?
> > >  The Signal descriptor earlier sent by MGC?  OR
> > > The list of signals that are presently active on the termination?
> > > -Madhu Babu
> > > Hughes Software Systems.
> > >
> >
>